import './Dashboard.css';
import Launchpad from './components/Launchpad/Launchpad';

const LightThemes = () =>
    <Launchpad
        title="Lights"
        exclusive={true}
        options={[
            { title: "Dark reds" },
            { title: "Watery" },
            { title: "Sunset" },
            { title: "Darkness" },
        ]}
    />

const Tracks = () =>
    <Launchpad
        title="Tracks"
        exclusive={false}
        options={[
            { title: "City BGM" },
            { title: "Chat on the streets" },
            { title: "Abandoned structure" },
            { title: "Water dripping" },
        ]}
    />

const Presets = () =>
    <Launchpad
        title="Presets"
        exclusive={true}
        options={[
            { title: "Gilcrest Falls day" },
            { title: "Gilcrest Falls night" },
            { title: "Empty colony" },
            { title: "Surk colony" },
        ]}
    />

const Dashboard = () => {
    return (
        <div className="app">
            <div className="layout">
                <Presets />
                <div>
                    <LightThemes />
                    <Tracks />
                </div>
            </div>
        </div>
    );
}

export default Dashboard;
