import './styles.css';
import React from 'react';

export interface LaunchpadButtonProps {
    title: string,
    icon?: string,
    activated?: boolean,
    onSelected?: (key: string) => void,
}

export const LaunchpadButton = ({ title, activated = false, onSelected = (key) => { } }: LaunchpadButtonProps) => {
    const classnames = activated ? "launchpad-button launchpad-button_enabled" : "launchpad-button";
    return (
        <div className={classnames} onClick={() => onSelected(title)}>
            <p> {title} </p>
        </div>)
}

export interface EditPadButtonProps {
    text: string,
    onSelected?: () => void,
}

export const EditPadButton = ({ text, onSelected = () => { } }: EditPadButtonProps) => (
    <div className="edit-pad-button" onClick={() => onSelected()}>
        <p> {text} </p>
    </div>)

